###Angry IP scanner###
%define name ipscan
%define version 3.8.2
%define release %mkrel 1
%define platform linux64


Summary:    	Angry IP network scanner
Summary(de):	Angry IP Netzwerkscanner
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	System/Configuration/Networking
License:    	GPLv2
URL:        	http://www.angryip.org/w/Home/
Source1:     	http://sourceforge.net/projects/ipscan/files/%{name}-linux64-%{version}.jar
Source2:        %{name}.png
BuildRequires:	imagemagick
Requires:     	java
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version



%description
Angry IP Scanner is an IP address scanner tool. It is used for scanning of IP addresses 
with the goal of finding alive hosts and gathering interesting information about each of them.
It is very extensible, allowing it to be used for very wide range of purposes, with the primary 
goal of being useful to network administrators

%description -l de
Angry IP Scanner ist ein IP-Adressenscanner, dieser wird mit dem Ziel eingesetzt, verfügbare 
Hosts im Netzwerk zu finden und interessante Informationen über diese zu sammeln. Angry IP ist 
in hohem Maß erweiterbar, erlaubt es in einem großen Bereich eingesetzt zu werden, mit dem 
Primärziel nützlich für Netzwerkadministratoren zu sein.

%prep


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}/
cp -af %SOURCE1 %{buildroot}/%{_libdir}/%{name}/


# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{name}
java -jar %{name}-%{platform}-%{version}.jar $@
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Angry IP scanner
GenericName=Angry IP scanner
Comment=Fast and friendly network scanner.
Comment[de]=Schneller und freundlicher Netzwerkscanner.
Exec=%{name}
Icon=%{name}.png
Terminal=0
Type=Application
Categories=System;Monitor;X-MandrivaLinux-System-Monitoring;System;
EOF

#icons
mkdir -p %buildroot/%_miconsdir \
         %buildroot/%_liconsdir \
         %buildroot/%_iconsdir
cp -af %SOURCE2 %buildroot/
convert  %SOURCE2 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE2 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE2 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -af %buildroot/%{_liconsdir}/%{name}.png %{buildroot}/%{_datadir}/pixmaps/
rm -f %buildroot/%{name}.png


%clean
rm -rf %{buildroot}


%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%_bindir/%{name}
%attr(0755,root,root)%{_libdir}/%{name}/%{name}-%{platform}-%{version}.jar
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Thu Oct 13 2022 Agent Smith <ruidobranco@yahoo.com.br> 3.8.2-1pclos2022
- 3.8.2
- Removed the 32 bits versions.

* Wed Apr 12 2017 ghostbunny <ghostbunny at gmx dot de> 3.5.1-1pclos2017
- 3.5.1

* Fri Dec 23 2016 ghostbunny <ghostbunny at gmx dot de> 3.5-1pclos2017
- 3.5

* Mon Jul 27 2015 ghostbunny <ghostbunny at gmx dot de> 3.3.3-1pclos2015
- 3.3.3
- no noarch package anymore, the jar contains plattform specific nativ libraries
- add 64 bit jar
- add German summary and description
- add missing BR imagemagick
- hand cmd arguments over to the jar file

* Sun Sep 16 2012 Neal <nealbrks0 at gmail dot com> 3.0-beta6-1pclos2012
- process

* Sun Sep 16 2012 Ken <lxgator@gmail.com> 3.0-beta6-1pclos2012
- first build
